use Test2::V0;

use JSON::XS;
use JSON::Types ();

my $row   = { id => 123 };
my $cache = { 123 => "hello" };

$row->{id}    = JSON::Types::number $row->{id};
$row->{value} = $cache->{$row->{id}};


my $json = JSON::XS->new->canonical;
is $json->encode($row), '{"id":"123","value":"hello"}';

done_testing;
