use Test2::V0;
use experimental qw(signatures);

use Types::Standard qw(Int);

sub add($a, $b) {
    Int->check($a) or Carp::croak(Int->get_message($a));
    Int->check($b) or Carp::croak(Int->get_message($b));
    return $a + $b;
}

like dies { add("hoge", "fuga") },
    qr/^Value "hoge" did not pass type constraint "Int"/;

done_testing;
