use Test2::V0;

use Cpanel::JSON::XS;
use Cpanel::JSON::XS::Type;

my $json = Cpanel::JSON::XS->new->canonical;

# どうエンコードしたいか第二引数に指定できる
my $result = $json->encode({
  name => "foo",
  age  => 10,
  flag => 1
}, {
  name => JSON_TYPE_STRING,
  age  => JSON_TYPE_INT,
  flag => JSON_TYPE_BOOL,
});

is $result, '{"age":10,"flag":true,"name":"foo"}';

done_testing;
