use Test2::V0;

use JSON::XS;

subtest '数値が、意図せず文字列になる罠' => sub {
    my $num = 12; # …(a)
    warn "[DEBUG] num: $num \n"; # …(b)
    my $result = encode_json([$num]); # => ["12"]

    is $result, '["12"]';
};

subtest 'Perlで偽となる値が、JSONで偽とならない罠' => sub {
    is encode_json([1 == 0]),          '[""]';
    is encode_json([!!0]),             '[""]';
    is encode_json([\0]),              '[false]';
    is encode_json([JSON::XS::false]), '[false]';
};

done_testing;
